Bug 478929 - Review Request: globus-usage - Globus Toolkit - Usage Library
Review Request: globus-usage - Globus Toolkit - Usage Library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: gpt 453848 478917
Blocks: 478931
  Show dependency treegraph
 
Reported: 2009-01-05 20:18 EST by Mattias Ellert
Modified: 2009-05-11 23:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2009-01-05 20:18:06 EST
Spec URL: <http://www.grid.tsl.uu.se/repos/globus/info/globus-usage.spec
SRPM URL: http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-usage-1.0-0.3.fc10.src.rpm

Description:
he Globus Toolkit is an open source software toolkit used for
building Grid systems and applications. It is being developed by the
Globus Alliance and many others all over the world. A growing number
of projects and companies are using the Globus Toolkit to unlock the
potential of grids for their cause.

The globus-usage package contains:
Usage Library

BuildRequires:	grid-packaging-tools
BuildRequires:	globus-xio-devel
BuildRequires:	globus-core-devel >= 4

Based on the globus toolkit 4.2.1 release.
Comment 1 Mattias Ellert 2009-03-15 20:03:03 EDT
New version
- Added s390x as 64 bit arch
- Added comment documenting source
- Adapt to changes in the globus-core package

http://www.grid.tsl.uu.se/repos/globus/fedora/10/src/SRPMS/globus-usage-1.0-0.5.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/globus-usage.spec
Comment 2 Mattias Ellert 2009-04-17 09:45:32 EDT
Package updated due to new packaging guidelines
- Change defines to globals
- Remove explicit requires on library packages

http://www.grid.tsl.uu.se/repos/globus/info/new/globus-usage-1.0-1.fc10.src.rpm
http://www.grid.tsl.uu.se/repos/globus/info/new/globus-usage.spec

Draft packaging guidelines for Globus packages are now available:
http://fedoraproject.org/wiki/PackagingDrafts/Globus
Comment 3 Orcan Ogetbil 2009-04-22 14:49:55 EDT
This one builds in rawhide:
   http://koji.fedoraproject.org/koji/taskinfo?taskID=1315384
I'll do this next.
Comment 4 Orcan Ogetbil 2009-04-22 15:44:33 EDT
Everything seems good, except:

* Please add some more information to the description because "Usage Library" is too general to use for a description.

Please do that before you commit.

-----------------------------------------------
This package (globus-usage) is APPROVED by oget
-----------------------------------------------

I also have a stack of packages that depend on each other. The ultimate goal is to get frinika approved:
   https://bugzilla.redhat.com/show_bug.cgi?id=492203
Could you help me with that whenever you have time?
Comment 5 Mattias Ellert 2009-04-23 03:04:11 EDT
(In reply to comment #4)
> Everything seems good, except:
> 
> * Please add some more information to the description because "Usage Library"
> is too general to use for a description.
> 
> Please do that before you commit.

I'll dig out some additional information from somewhere before committing.

> I also have a stack of packages that depend on each other. The ultimate goal is
> to get frinika approved:
>    https://bugzilla.redhat.com/show_bug.cgi?id=492203
> Could you help me with that whenever you have time?  

Thank you for your review.

I have built the your three lv2-*-plugins packages yesterday and will start reviewing them soon. I'll grab them in bugzilla.
Comment 6 Mattias Ellert 2009-04-23 03:06:16 EDT
New Package CVS Request
=======================
Package Name: globus-usage
Short Description: Globus Toolkit - Usage Library
Owners: ellert
Branches: F-9 F-10 F-11 EL-4 EL-5
InitialCC:
Comment 7 Kevin Fenzi 2009-04-23 12:24:27 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-27 22:49:00 EDT
globus-usage-1.0-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/globus-usage-1.0-2.fc10
Comment 9 Fedora Update System 2009-04-27 22:49:05 EDT
globus-usage-1.0-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/globus-usage-1.0-2.fc9
Comment 10 Fedora Update System 2009-05-02 12:28:20 EDT
globus-usage-1.0-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-02 12:39:05 EDT
globus-usage-1.0-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-08 09:55:13 EDT
globus-usage-1.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-usage-1.0-2.fc11
Comment 13 Fedora Update System 2009-05-11 23:55:51 EDT
globus-usage-1.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.